import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import React from "react";
import CorporateFareIcon from "@mui/icons-material/CorporateFare";
import CardHeader from "@mui/material/CardHeader";
import Avatar from "@mui/material/Avatar";
import LocationOnTwoToneIcon from "@mui/icons-material/LocationOnTwoTone";
import { blue, grey } from "@mui/material/colors";
import { nanoid } from "@reduxjs/toolkit";
import { AutocompleteType } from "../nerdInput/nerdInputEnums";
import Grid from "@mui/material/Grid";
import Typography from "@mui/material/Typography";
import Divider from "@mui/material/Divider";
import Box from "@mui/material/Box";
export const RenderTemplate = ({ props, option, autocompleteType, className = "", optionsArray = [], onClick, }) => {
    const ListFoot = () => {
        return optionsArray[optionsArray.length - 1] === option ? (_jsxs(_Fragment, { children: [_jsx(Divider, {}), _jsx(Grid, { container: true, alignItems: "center", justifyContent: "center", children: _jsx(Grid, { item: true, py: 1, children: _jsxs(Typography, { display: "block", variant: "caption", color: "textSecondary", children: ["Powered by ", _jsx("b", { children: "Google" }), " and ", _jsx("b", { children: "Archer" })] }) }) })] })) : null;
    };
    return (_jsxs(React.Fragment, { children: [_jsx(Box, { component: "li", sx: {
                    backgroundColor: "transparent",
                    svg: { flexShrink: 0, color: "white" },
                    cursor: "pointer",
                    "&:hover": {
                        backgroundColor: "rgba(0, 0, 0, 0.08)",
                    },
                }, ...props, className: className, onClick: onClick, children: _jsx(CardHeader, { avatar: _jsx(Avatar, { sx: {
                            bgcolor: setTemplateIconColorByType(autocompleteType, option),
                        }, "aria-label": autocompleteType, children: setTemplateIconByType(autocompleteType) }), title: setTemplateTitle(autocompleteType, option), titleTypographyProps: { fontWeight: "500", variant: "body1" }, subheader: setTemplateContentByType(autocompleteType, option), sx: {
                        py: 1,
                        px: 1,
                    } }) }, nanoid()), _jsx(ListFoot, {})] }));
};
/**
 *
 * @param type
 */
function setTemplateIconByType(type) {
    switch (type) {
        case AutocompleteType.CUSTOMER:
            return _jsx(CorporateFareIcon, { fontSize: "medium" });
        case AutocompleteType.ADDRESS:
            return _jsx(LocationOnTwoToneIcon, { fontSize: "medium" });
        default:
            return _jsx(CorporateFareIcon, { fontSize: "medium" });
    }
}
/**
 *
 * @param type
 * @param option
 */
function setTemplateIconColorByType(type, option) {
    switch (type) {
        case AutocompleteType.CUSTOMER:
            return blue[500];
        case AutocompleteType.ADDRESS:
            if (option.name) {
                return blue[500];
            }
            return grey[500];
        default:
            return blue[500];
    }
}
/**
 *
 * @param type
 * @param option
 */
function setTemplateContentByType(type, option) {
    const auxContentCredit = option.credit_on_hold ? " - ( Credit Hold )" : "";
    const auxContentInactivity = option.inactivity_hold
        ? " - ( Inactivity Hold )"
        : "";
    switch (type) {
        case AutocompleteType.CUSTOMER:
            return `${option.line1} ${option.state} ${option.zip} ${auxContentCredit} ${auxContentInactivity}`;
        case AutocompleteType.ADDRESS:
            if (option.structured_formatting) {
                return `${option.structured_formatting.secondary_text}`;
            }
            return option.name;
        default:
            return "";
    }
}
/**
 *
 * @param type
 * @param option
 */
function setTemplateTitle(type, option) {
    switch (type) {
        case AutocompleteType.CUSTOMER:
            return `${option.name}`;
        case AutocompleteType.ADDRESS:
            if (option.structured_formatting) {
                return `${option.structured_formatting.main_text}`;
            }
            return option.name;
        default:
            return "";
    }
}
//# sourceMappingURL=renderTemplate.js.map