import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useRef } from "react";
import Popover from "@mui/material/Popover";
import { NerdHeading } from "../nerdHeading";
import Box from "@mui/material/Box";
import { styled } from "@mui/material/styles";
export const NerdHelp = ({ explanation, classes, children, anchorOrigin = {
    vertical: "top",
    horizontal: "left",
}, transformOrigin = {
    vertical: "bottom",
    horizontal: "left",
}, variant = "body1", }) => {
    const [anchorEl, setAnchorEl] = React.useState(null);
    const htmlRef = useRef(null);
    const open = Boolean(anchorEl);
    const onMouseEnter = () => {
        setAnchorEl(htmlRef.current);
    };
    const onMouseLeave = () => {
        setAnchorEl(null);
    };
    return (_jsxs(React.Fragment, { children: [_jsx(Box, { ref: htmlRef, onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave, children: children }), _jsx(StyledPopover, { sx: {
                    pointerEvents: "none",
                }, open: open, anchorEl: anchorEl, anchorOrigin: anchorOrigin, transformOrigin: transformOrigin, classes: {
                    ...classes,
                }, children: _jsx(NerdHeading, { variant: variant, text: explanation, sx: { p: 1 } }) })] }));
};
const StyledPopover = styled(Popover, {
    name: "StyledPopover",
    slot: "Wrapper",
})(() => ({
    width: "100%",
}));
//# sourceMappingURL=nerdHelp.js.map